#include <iostream>

using namespace std;

int main()
{
    int n;
    cin>>n;
    int najm=1, najv=2*n;
    int a[n],b[n];
    bool f=true;
       for (int j=0;j<n;j++)
        {
            if(f)
            {
                a[j]=najm++;
                b[j]=najv--;
                f=false;
            }
            else
            {
                a[j]=najv--;
                b[j]=najm++;
                f=true;
            }
        }
    for (int i=0;i<n;i++)
        cout<<a[i]<<' ';
    cout<<endl;
    for (int i=0;i<n;i++)
        cout<<b[i]<<' ';
}